summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-admin/eselect-emacs/ChangeLog6
-rw-r--r--app-admin/eselect-emacs/Manifest5
-rw-r--r--app-admin/eselect-emacs/eselect-emacs-1.5_pre1.ebuild25
-rwxr-xr-xapp-admin/eselect-emacs/files/emacs-updater122
4 files changed, 157 insertions, 1 deletions
diff --git a/app-admin/eselect-emacs/ChangeLog b/app-admin/eselect-emacs/ChangeLog
index e5eebb6..d0f7dee 100644
--- a/app-admin/eselect-emacs/ChangeLog
+++ b/app-admin/eselect-emacs/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*eselect-emacs-1.5_pre1 (23 May 2008)
+
+ 23 May 2008; Ulrich Mueller <ulm@gentoo.org> +files/emacs-updater,
+ +eselect-emacs-1.5_pre1.ebuild:
+ Prerelease.
+
01 May 2008; Ulrich Mueller <ulm@gentoo.org> eselect-emacs-9999.ebuild:
etags.eselect is created from Makefile.
diff --git a/app-admin/eselect-emacs/Manifest b/app-admin/eselect-emacs/Manifest
index 0ab363c..1148306 100644
--- a/app-admin/eselect-emacs/Manifest
+++ b/app-admin/eselect-emacs/Manifest
@@ -1,3 +1,6 @@
+AUX emacs-updater 2880 RMD160 670ba0b40d7c957d1ebf7a61ef6f37205569a721 SHA1 f80a4a5127f1d54494a3b1f3e842f17bd96ba0a1 SHA256 dfdf65efad666f5133e9d2cfdefae31589618de1addd2ae3057cb708ce493f5e
+DIST eselect-emacs-1.5_pre1.tar.bz2 7476 RMD160 fa347921fdb3e9c307ce474d664b43735b7eb968 SHA1 d5009a2b85b3e5f63a52f2e60da53c3573259995 SHA256 787f406c7b4fada6db35ada64f3168f8750ddcc6e4d032cc16ad8e0cb243c6c5
+EBUILD eselect-emacs-1.5_pre1.ebuild 780 RMD160 01251c6ccc3a02133df04fc2bd31d99757441f86 SHA1 7cf124e21c7c12b364102dac07f84cd076e40173 SHA256 721f7747d7dfe68fb05d6fac394494d9293219484e233785ce8006100303a908
EBUILD eselect-emacs-9999.ebuild 905 RMD160 235e8be13739cdf373b7e48588998ef0c184fe3c SHA1 66fe06c711c08b0f5bda35edc8075578c60509cd SHA256 3bac5377ffe9054e41097a75efdcdcaecd67ae6ab9390edd72e311f85f068a43
-MISC ChangeLog 388 RMD160 1ed7c453d1633d3971b25c4c591d96b29d8c81ae SHA1 1f7982107cbeb6ffc3ef6542d8a826e7de5eee25 SHA256 81bf258821a4ca48d64e2ed5663b16775f0d861b85328d35350b52810b2e60d9
+MISC ChangeLog 545 RMD160 fed1038b47d88feb275f6056f63d22afdd9a00a0 SHA1 492549f8f4c2b83d7afa5f75f625a4b6a714bb3f SHA256 50e42d8eed52a93f73c4a0c57a753775f6a08d58f56861ce223ff3d461fb67e1
MISC metadata.xml 158 RMD160 415d172437ca754d24fc5ab186ba8e77934d96e4 SHA1 61f6eff9729cd87a725c2a70c81aca4270a17fc4 SHA256 1393bdef3a74343fdb40a112c7096a1af16f67e7a43413250de28dfe73810eab
diff --git a/app-admin/eselect-emacs/eselect-emacs-1.5_pre1.ebuild b/app-admin/eselect-emacs/eselect-emacs-1.5_pre1.ebuild
new file mode 100644
index 0000000..42752e9
--- /dev/null
+++ b/app-admin/eselect-emacs/eselect-emacs-1.5_pre1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Manages Emacs versions"
+HOMEPAGE="http://www.gentoo.org/proj/en/lisp/emacs/"
+#SRC_URI="mirror://gentoo/${P}.tar.bz2"
+SRC_URI="http://dev.gentoo.org/~ulm/distfiles/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=app-admin/eselect-1.0.10
+ ~app-admin/eselect-ctags-${PV}"
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins {emacs,etags}.eselect || die "doins failed"
+ doman {emacs,etags}.eselect.5 || die "doman failed"
+ dodoc ChangeLog || die "dodoc failed"
+ dosbin "${FILESDIR}/emacs-updater" || die "dosbin failed"
+}
diff --git a/app-admin/eselect-emacs/files/emacs-updater b/app-admin/eselect-emacs/files/emacs-updater
new file mode 100755
index 0000000..7f94d97
--- /dev/null
+++ b/app-admin/eselect-emacs/files/emacs-updater
@@ -0,0 +1,122 @@
+#!/bin/bash
+
+# Copyright 2007-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id: emacs-updater,v 1.3 2008/03/08 06:53:06 ulm Exp $
+
+# Authors:
+# Christian Faulhammer <opfer@gentoo.org>
+# Ulrich Mueller <ulm@gentoo.org>
+
+VERSION=0.6
+SITELISP=/usr/share/emacs/site-lisp
+TMPFILE="$(mktemp /tmp/emacs-updater.XXXXXX)"
+
+cat <<-EOF
+
+Emacs updater version ${VERSION}
+Written by the Gentoo Emacs team http://www.gentoo.org/proj/en/lisp/emacs/
+Find packages that are installed in the wrong location
+
+EOF
+
+usage() {
+ sed -e 's/^X//' <<-EOF
+ Usage: ${0##*/} [OPTION]...
+ X -n, --nocolour disable colour in output
+ X -p, --pretend don't actually emerge packages
+ X -h, --help display this help and exit
+ EOF
+ exit ${1}
+}
+
+# Read in all command-line options and force English output
+OPTIONS=$(LC_ALL=C getopt -o hpn --long help,pretend,nocolour \
+ -n 'emacs-updater' -- "$@")
+[ $? -eq 0 ] || usage 1
+
+eval set -- "${OPTIONS}"
+
+while true
+do
+ case "${1}" in
+ -h|--help) usage 0 ;;
+ -p|--pretend) PRETEND="true"; shift 1 ;;
+ -n|--nocolour) NOCOLOUR="true"; shift 1 ;;
+ --) shift; break ;;
+ esac
+done
+
+# Only set colours if output is not redirected or the --no-colour
+# option is not set
+if [ -t 1 ] && [ -z "${NOCOLOUR}" ] ; then
+ RED=$(tput -S <<<$'setaf 1\nbold')
+ GREEN=$(tput -S <<<$'setaf 2\nbold')
+ YELLOW=$(tput -S <<<$'setaf 3\nbold')
+ BLUE=$(tput -S <<<$'setaf 4\nbold')
+ MAGENTA=$(tput -S <<<$'setaf 5\nbold')
+ CYAN=$(tput -S <<<$'setaf 6\nbold')
+ BOLD=$(tput bold)
+ NORMAL=$(tput sgr0)
+fi
+
+message() {
+ local OUTPUT=$@
+ echo "${GREEN}*${NORMAL}${BOLD} ${OUTPUT}${NORMAL}"
+}
+
+warning() {
+ local OUTPUT=$@
+ echo "${YELLOW}*${NORMAL}${BOLD} ${OUTPUT}${NORMAL}"
+}
+
+failure() {
+ local OUTPUT=$@
+ echo "${RED}*${NORMAL}${BOLD} ${OUTPUT}${NORMAL}"
+}
+
+if ! [ -x /usr/bin/qfile ]; then
+ echo
+ failure "Please emerge app-portage/portage-utils to use this tool"
+ exit 1
+fi
+
+for sf in "${ROOT}${SITELISP}"/[0-9][0-9]*-gentoo.el
+do
+ [ "${sf##*/}" = 00site-gentoo.el ] && continue
+ message "Processing ${sf##*/} ..."
+ qfile -qCR "${sf}" >> "${TMPFILE}"
+done
+echo
+
+if [ ! -s "${TMPFILE}" ]; then
+ warning "No packages to update, quitting."
+ exit 2
+fi
+
+NO_OF_PACKAGES=$(sed -n '$=' "${TMPFILE}")
+
+[ ${NO_OF_PACKAGES} -eq 1 ] && s= || s=s
+message "${NO_OF_PACKAGES} package${s} with site files in the wrong location:"
+cat "${TMPFILE}"
+
+if [ "${PRETEND}" ]; then
+ exit 3
+fi
+
+echo
+echo -n "${BOLD}Remerge packages?${NORMAL} [${GREEN}Yes${NORMAL}/${RED}No${NORMAL}] "
+read choice
+echo
+case "${choice}" in
+ y*|Y*|"")
+ ;;
+ *)
+ warning "Quitting."
+ exit 10 ;;
+esac
+
+emerge --oneshot --ask --verbose $(cat "${TMPFILE}")
+
+warning "If a package is being rebuilt over and over again,"
+warning "please report it on http://bugs.gentoo.org/"